Loading...
Searching...
No Matches
AbsMap< M > Class Template Reference
Data Structures » Maps » Map Adaptors

## Detailed Description

template<typename M>
class lemon::AbsMap< M >

This read-only map returns the absolute value of the values of the given map. Its `Key` and `Value` are inherited from `M`. `Value` must be comparable to `0` and the unary `-` operator must be defined for it, of course.

The simplest way of using this map is through the absMap() function.

`#include <lemon/maps.h>`

Inheritance diagram for AbsMap< M >:
[legend]

## Public Types

typedef M::Key | Key
typedef M::Value | Value
Public Types inherited from MapBase< M::Key, M::Value >
typedef M::Key | Key
| The key type of the map.
typedef M::Value | Value
| The value type of the map. (The type of objects associated with the keys).

## Public Member Functions

| AbsMap (const M &m)
| Constructor.
Value | operator[] (const Key &k) const

## Related Symbols

(Note that these are not member symbols.)
template<typename M>
AbsMap< M > | absMap (const M &m)
| Returns an `AbsMap` class.